# -*- coding: utf-8 -*-
#
#--------------------------------------------------------------------------
# views.py
#--------------------------------------------------------------------------
# auther:Liutiansi
# Email:liutiansi@gmail.com
#Blog:http://blog.liuts.com
# update:2010-10-12
#
#---------------------------------------------------------------------------

from django.http import HttpResponse
from django.shortcuts import render_to_response
from django.template import Context
from django.template.loader import get_template
from Purgesys.publicclass.views import *


"""
++++++++++++++++++++++++++++
=输出404内容
++++++++++++++++++++++++++++
"""
def head404(request):
    return HttpResponse("404")

def index(request):
    return render_to_response('purgeapp/index.html','')


"""
++++++++++++++++++++++++++++
=处理模块
-支持post
-支持get
-格式：http://sys.domain.com/push/executive/?PushURLid=http://www.domain.com/1.jpg,http://www.domain.com/2.jpg
++++++++++++++++++++++++++++
"""
def executiveurl(request):
    import string
    
    #---公共变量-----
    #URL组列表
    URLGroupsList=[]

    #URL组成员列表,长度10为不同域名的数量
    URLGroupsNumberList=[]

    #URL组成员处理结果列表
    URLGroupsNumberResult=[]
    
    for i in range(10):
        URLGroupsNumberList.append([])
        URLGroupsNumberResult.append([]) 

    #URL域名
    URLdomain=""

    #URL路径
    URLpath=""
    
    #提交method类型
    Methodtype="GET"

    #高级模式选项
    Advancedmode=""
    
    #处理结果列表
    #格式：[{'url':'www.domain.com/a.gif','result':'OK'},'url':'www.domain.com/b.gif','result':'OK'},'url':'www.domain.com/c.gif','result':'OK'}]
    PurgeResultList=[]

    if request.method == 'POST':
        Methodtype="POST"
        if not request.POST.get('PushURLid', ''):
            #return HttpResponse("推送URL清单不能为空")
            return render_to_response('purgeapp/out.html', {'status':'-001',Methodtype:'Ture'})
        
        #POST URL清单
        PushURLlist=string.split(request.POST['PushURLid'],'\n')
        Advancedmode=request.POST.getlist('Advancedmode')
    
    elif request.method == 'GET'  and 'PushURLid' in request.GET and 'Advancedmode' in request.GET:
        Methodtype="GET"
        if not request.GET['PushURLid']:
            #return HttpResponse("推送URL清单不能为空")
            return render_to_response('purgeapp/out.html', {'status':'-001',Methodtype:'Ture'})
        #GET URL清单
        PushURLlist=string.split(request.GET['PushURLid'],',')
        Advancedmode=request.GET['Advancedmode']

    else:
        return render_to_response('purgeapp/out.html', {'status':'-006',Methodtype:'Ture'})
    
    #检查URL合法性及类型分组
    for _url in PushURLlist:
        if len(_url)==0:
            #return HttpResponse("<font color=red>[不允许存在空行]</font>")
            return render_to_response('purgeapp/out.html', {'status':'-002',Methodtype:'Ture'})
            break;
        
        if not CheckURLok(''.join(_url.split())) and len(Advancedmode)==0:
            #return HttpResponse(str(_url)+"\t\t\t<font color=red>[不合法]</font>")
            return render_to_response('purgeapp/out.html', {'status':'-003',Methodtype:'Ture'})
            break;
            
        URLdomain=GetURLdomain(_url)
        URLpath=GetURLdopath(_url)
            
        #将所有应用域名唯一性存储到列表中
        if not URLdomain in URLGroupsList:
            URLGroupsList.append(URLdomain)
          
        FindIndex=URLGroupsList.index(URLdomain)
            
        #添加URL路径到对应的应用组
        URLGroupsNumberList[FindIndex].append(URLpath)
            
        #初始化所有应用组成员状态为“OK”
        URLGroupsNumberResult[FindIndex].append("OK")
            
    PurgeResultList=URLPurge(URLGroupsList,URLGroupsNumberList,URLGroupsNumberResult)
    if len(str(PurgeResultList))==4:
        return render_to_response('purgeapp/out.html', {'status':PurgeResultList,Methodtype:'Ture'})
    else:
        return render_to_response('purgeapp/out.html', {'outitem': PurgeResultList,'status':'200',Methodtype:'Ture'})