# -*- coding: utf-8 -*-
#
#--------------------------------------------------------------------------
# varnishadmin.py
#--------------------------------------------------------------------------
# auther:Liutiansi
# Email:liutiansi@gmail.com
#Blog:http://blog.liuts.com
# update:2010-10-12
#
#---------------------------------------------------------------------------
import socket

class VarnishAdmin(object):

	def __init__(self, port=2603, host="localhost"):
		self.port = port
		self.host = host
		self.file = None

	def connect(self):
		if self.file:
			return
		self.sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
		self.sock.connect((self.host, self.port))

	def disconnect(self):
		self.file.close()
		self.file = None
		self.sock.close()

	def __command(self, command):
		self.file = self.sock.makefile()
		self.file.write("%s\n" % command)
		self.file.flush()

		code = self.file.read(12)
		if code[:3]== "200" or code[-3:]=="200":
			return True
		else:
			return False

	def purge(self, purgere):
		return self.__command("purge %s" % purgere)

	def url_purge(self, purgere):
		return self.__command("url.purge %s" % purgere)
